Update Branch
PUThttps://api.confident-ai.com/v2/prompts/{promptId}/branches/{branchId}
Renames a branch of the prompt. The main branch cannot be renamed.
curl -X PUT "https://api.confident-ai.com/v2/prompts/{promptId}/branches/{branchId}" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>" \
-H "Content-Type: application/json" \
-d '{
"name": "experiment-v2"
}'{
"success": true,
"data": {
"id": "<BRANCH-ID>"
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
promptIdstringRequiredThe unique id of the prompt.
branchIdstringRequiredThe unique id of the branch.
Request body
namestringRequiredThe new name of the branch. The
mainbranch cannot be renamed.
Response
Update Branch succeeded.
successbooleanIndicates if the request was successful.
dataobjectShow 1 propertyHide 1 property
idstringThis is the unique id of the prompt branch.
deprecatedbooleanIndicates if this endpoint is deprecated.